// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "MeshHost.hpp"
#include "display/mesh/CapsuleMesh.hpp"

namespace Dawn {
  class CapsuleMeshHost : public MeshHost {
    public:
      // @optional
      StateProperty<float> radius;
      // @optional
      StateProperty<float> height;

      CapsuleMeshHost(SceneItem *item);

      void onStart() override;
  };
}